Download it now!
Bug 33531 - FORMATTING: Inserting additional text into cell changes font
Summary: FORMATTING: Inserting additional text into cell changes font
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 34162 38195 45152 46226 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-26 06:26 UTC by rl
Modified: 2013-08-12 22:13 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Result of pasting text into a cell that already has text in it (8.82 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-12-31 07:22 UTC, rl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rl 2011-01-26 06:26:13 UTC
Inserting additional text into a cell, that already has text in it, changes font and font size of (parts of) the text in that cell.

I found several ways to reproduce this bug.

Version 1:
 1. Open a new spreadsheet. Note that the default font is 10-point Arial.
 2. Enter the following three lines of text into one cell. Use cmd+enter to insert line breaks after aaa, 222 and xxx.
   aaa
   222
   xxx
 3. Now select the xxx line and copy and insert it into the second line, that is between aaa and 222, like this:
   aaa
   xxx  <- now smaller!
   222  <- now larger, and different font!
   xxx
The first xxx is now in 8.5-point Arial. The 222 line now has a 12-point font size and changed to an unknown font. 

With unknown font I mean that the font name display in the Textformat tool bar doesn't show any font name for that text. However, it seems to be some serif font, maybe some version of Times.

Version 2: 
 1. Open a new spreadsheet. Note that the default font is 10-point Arial.
 2. Enter the following three lines of text into one cell. Use cmd+enter to insert line breaks after aaa, 222 and xxx.
   aaa
   222
   xxx
 3. Now select the xxx and copy and insert it into the second line, like this:
   aaa
   2xxx22
   xxx
The xxx now has a 8.5-point font size, while the 2...22 (without the xxx) has a 12-point font size and an unknown font.

Version 3:
 1. Open a new spreadsheet. Note that the default font is 10-point Arial.
 2. Enter the following text into one cell.
   aaa 222 xxx
 3. Now select the xxx and copy and insert it, like this:
   aaa 2xxx22 xxx
The xxx now has a 8.5-point font size, while the remaining text (without the xxx) changed to a 12-point font size and an unknown font.

Version 4:
 1. Open a new spreadsheet. Change the default font (via Styles and Formatting, Default) to 12-point Arial.
 2. Enter the following text into one cell.
   aaa 222 xxx
 3. Now select the xxx and copy and insert it, like this:
   aaa 2xxx22 xxx
The xxx now has a 10-point font size (still Arial). While the remaining text (without the xxx) still has a font size of 12 point, it changed to an unknown font.


Some aditional remarks:

I don't see this problem in LibreOffice for Windows on a 64-bit Windows-7 system. Haven't checked Linux yet, though.

I use LibreOffice with German localization. But I see the problem also, when I switch the GUI to English.
Comment 1 Noel Power 2011-01-26 08:14:08 UTC
I can't reproduce this on either windows (xp) or linux. Note: I have 'Arial narrow' and 'Arial Unicode MS' fonts. no plain 'Arial' I tried version(s) 1 -> 4 for both of those fonts.

Any idea if this happens with oracle office? 

If you can provide the info whether it happens for you on linux too then that would be useful.

Also just to confirm, do you leave the cell while editing? ( I tried both leaving the cell and remaining in the cell to do the copy/insert )

does the font matter?
Comment 2 rl 2011-01-26 10:37:47 UTC
(In reply to comment #1)
> Any idea if this happens with oracle office? 

Checked 
 - OpenOffice.org 3.2.1, OOO320m18 (Build: 9502) and 
 - OpenOffice.org 3.3.0, OOO330m20 (Build: 9567)
for Mac OS X. No problem there.
Comment 3 rl 2011-01-26 10:46:29 UTC
(In reply to comment #1)
> does the font matter?

No. Same problem with, say, Lucida Sans.
Comment 4 rl 2011-01-26 10:53:51 UTC
(In reply to comment #1)
> Also just to confirm, do you leave the cell while editing?

Actually I did leave the cell after each step.

But I just confirmed that the problem also shows up when I keep the cell in edit mode, that is, when I don't press enter after each step.
Comment 5 rl 2011-01-26 16:16:23 UTC
(In reply to comment #1)
> If you can provide the info whether it happens for you on linux too then that
> would be useful.

Ubuntu seems to be fine.
Comment 6 rl 2011-01-26 17:14:56 UTC
(In reply to comment #5)
> (In reply to comment #1)
> > If you can provide the info whether it happens for you on linux too then that
> > would be useful.
> 
> Ubuntu seems to be fine.

Also no problem on Fedora.
Comment 7 rl 2011-01-27 01:43:49 UTC
Changed priority to lowest.

The reason is that I just found out that I cannot see that issue even on Mac OS X in a fresh installation of LibreOffice, that is, for example, without modified user settings and without any prior installation of LibreOffice.

That may actually be the reason why I haven't been able to reproduce this bug on other systems, because I always used a freshly installed LibreOffice on those systems, with default settings.

I'll try to narrow this down a bit further...
Comment 8 rl 2011-01-27 01:56:44 UTC
(In reply to comment #7)
> Changed priority to lowest.
> ...

Well, not sure what I saw there, but it seems I saw wrong. The problem is also in fresh installations of LibreOffice on Mac OS X.

Switching back to medium. Sorry for the noise.
Comment 9 rl 2011-01-28 06:40:23 UTC
(In reply to comment #2)
> Checked 
>  - OpenOffice.org 3.2.1, OOO320m18 (Build: 9502) and 
>  - OpenOffice.org 3.3.0, OOO330m20 (Build: 9567)
> for Mac OS X. No problem there.

Need to correct myself. This problem actually also shows up in OpenOffice.org 3.3.0 for Mac OS X.

I also double checked OpenOffice.org 3.2.1 again, to be sure. That version is fine. So, it seems that bug was introduced with 3.3.0.
Comment 10 Rainer Bielefeld Retired 2011-10-12 22:22:06 UTC
@rl:
Still a problem with 3.4?
If yes, please attach a test kit with
 - document everything correct
 - document after test showing reported problems
Comment 11 Rainer Bielefeld Retired 2011-10-26 02:32:45 UTC
Closing Bug due to reporter's inactivity as WFM.

@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with the current stable LibreOffice version.
Comment 12 rl 2011-10-26 11:59:59 UTC
(In reply to comment #11)
> Closing Bug due to reporter's inactivity as WFM.
> 
> @reporter:
> Please feel free to reopen this bug if you find out that the problem still
> exists with the current stable LibreOffice version.

Sorry for the late reply. Had problems earlier to login.

One problem that I still see in LibreOffice 3.4.3 for Mac OS X is this:

1. Enter the four lines
  aaa
  222
  xxx

with a line break and an empty line after xxx. That terminating line break is important.
2. Press the enter key to leave the cell.
3. Double click the cell to enter it again.
4. Put the cursor in front of the xxx and select the xxx line by pressing arrow-down once while holding the shift key.
5. Press cmd + C to copy the xxx line.
6. Move the cursor in front of the 222 line by pressing arrow-up twice.
7. Press cmd + V to insert the xxx line between aaa and 222 like this:
  aaa
  xxx
  222
  xxx

The result is that the 222 line changes to font size 12 in some unnamed font.
Comment 13 Rainer Bielefeld Retired 2011-10-27 00:19:44 UTC
@rl:
Unfortunately your report is too imprecise to allow a test. Why did you not attach the requested documents?

Please 
a) attach a sample document containing some screenshosts and information concerning styles, font, font size you see before you start the test and ant the end of the test. If possible you should copy / paste the result of every important step so that the results are visible.

b) contribute more precise information. Most of your info in Comment 12 is imprecise or can not work in the way you write (at least on my PC):

1. How do you "Enter" the empty line? What is a " line break and an empty line after xxx"? Please mention every key press and every mouse click!
3. for what is this step important?
4. That way to select does not work for me with WIN, I selected with 
  <shift> + 3x<arrowright>
6. does not work for me. First arrowup unselects, second one does nothing
Comment 14 Björn Michaelsen 2011-12-23 11:51:40 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 15 Björn Michaelsen 2011-12-23 17:00:49 UTC
needinfo keyword redundant by needinfo status.
Comment 16 rl 2011-12-31 07:12:01 UTC
(In reply to comment #13)

> ...
> Why did you not attach the requested documents?
> ...
> imprecise or can not work in the way you write (at least on my PC):
> ...

I believe I mentioned that I can only see this issue in LibreOffice for Mac OS X and my description therefore referred to Mac OS X. That you have to use different keys (there isn't even a cmd key on Windows systems!) and ultimately cannot reproduce this bug under Windows does therefore not really surprise me.

The basic issue here is that pasting text into a cell that has already text in it, changes font and font size of some of the existing text. One can hardly see that effect by looking at a static document. Anyway, I'll attach a Spreadsheet file that shows the end result.
Comment 17 rl 2011-12-31 07:22:34 UTC
Created attachment 55006 [details]
Result of pasting text into a cell that already has text in it
Comment 18 rl 2011-12-31 07:28:43 UTC
(In reply to comment #14)
> To move this bug from NEEDINFO back
> to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2
> prereleases.

Bug is still in LibreOffice 5.2.0 beta 2 for Mac OS X. (Tested on a Mac OS X 10.7.2 system.)

Summary of the bug with one additional observation (steps 5-7):

1. Enter the four lines

  aaa
  222
  xxx
  (empty line)

into cell A1.

2. Press enter button to leave edit mode of A1.

3. Double click A1 to enter edit mode again and copy (cmd + C) the "xxx" line and paste it between the "aaa" and the "222" lines (cmd + V).

4. Result is that "222" changes its font name from the default Arial to an unnamed font and its font size from the default 10 pt to 12 pt.

5. Save the file and close it.

6. Reopen the file.

7. Result is that the font name of the "222" line is now Arial again, but the font size is still 12 pt.
Comment 19 sasha.libreoffice 2012-07-13 16:07:56 UTC
*** Bug 45152 has been marked as a duplicate of this bug. ***
Comment 20 sasha.libreoffice 2012-07-13 16:08:14 UTC
*** Bug 46226 has been marked as a duplicate of this bug. ***
Comment 21 sasha.libreoffice 2012-07-13 16:08:36 UTC
*** Bug 34162 has been marked as a duplicate of this bug. ***
Comment 22 sasha.libreoffice 2012-07-13 16:08:54 UTC
*** Bug 38195 has been marked as a duplicate of this bug. ***
Comment 23 sasha.libreoffice 2012-07-13 16:11:29 UTC
Just closed as duplicates bugreports may contain information, useful for reproducing this bug on MacOS X.
Comment 24 bfoman (inactive) 2013-07-26 11:57:03 UTC
@rl:
Could you check if this is still an issue in 4.2 master build? Thanks.
Comment 25 rl 2013-08-03 12:31:52 UTC
Not sure where to find the 4.2 master build.

However, I checked LibreOffice 4.1.0.4 for Mac OS X and was not able to reproduce this issue.
Comment 26 bfoman (inactive) 2013-08-12 22:13:25 UTC
Marking as RESOLVED WORKSFORME per comment 25.